# Enum CalendarMutationScope

java.lang.Object
java.lang.Enum<CalendarMutationScope>
com.codename1.calendar.CalendarMutationScope

All Implemented Interfaces:
  `Comparable<CalendarMutationScope>`

public enum CalendarMutationScope extends Enum<CalendarMutationScope>
Scope when modifying or deleting a recurring item.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `THIS_AND_FUTURE`
  `THIS_INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarMutationScope`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CalendarMutationScope[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### THIS_INSTANCE

    public static final CalendarMutationScope THIS_INSTANCE

  - ### THIS_AND_FUTURE

    public static final CalendarMutationScope THIS_AND_FUTURE

  - ### ALL

    public static final CalendarMutationScope ALL

- ## Method Details

  - ### values

    public static CalendarMutationScope[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CalendarMutationScope valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null